import {Stack, Typography} from '@mui/material'
import {useShow} from '@refinedev/core'
import {Show, TextFieldComponent as TextField} from '@refinedev/mui'

import {VEHICLE_TYPES} from '../../lib/constants'

export const VehicleShow = () => {
  const {query} = useShow({})
  const {data, isLoading} = query

  const record = data?.data

  const fields = [
    // {label: 'ID', data: 'id'},
    {label: 'Бортовой номер', data: 'tail_number'},
    {label: 'Тип', data: 'type', render: (value: number) => VEHICLE_TYPES.find((type) => type.value === value)?.label || value},
    // {label: 'ID города', data: 'city_id'},
    {label: 'Город', data: 'city'},
  ]

  return (
    <Show isLoading={isLoading}>
      <Stack gap={4}>
        {fields.map(({label, data, render}) => (
          <Stack key={data} gap={1}>
            <Typography variant="body1" fontWeight="bold">
              {label}
            </Typography>
            <TextField value={render ? render(record?.[data]) : record?.[data]} />
          </Stack>
        ))}
      </Stack>
    </Show>
  )
}
